package helper

import (
	"testing"
)

func TestXYZtoLRGB(t *testing.T) {
	for c := range Enum(false, true) {
		want := collect3(RGBtoLRGB(uint32(c.R), uint32(c.G), uint32(c.B)))
		if got := collect3(XYZtoLRGB(LRGBtoXYZ(want[0], want[1], want[2]))); !EqFloat64SliceFuzzy(want[:], got[:]) {
			t.Errorf("XYZtoLRGB(LRGBtoXYZ(%v)) = %v, want unchanged", want, got)
			return
		}
	}
}
